package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class NicknameDoc extends DynamoDBDocBase {
    private String nicknameAttrib;

    public String getAttribFieldName() {
        return "NicknameAttrib";
    }

    @DynamoDbAttribute("NicknameAttrib")
    @JsonProperty("NicknameAttrib")
    public String getAttribValue() {
        return nicknameAttrib;
    }

    public void setAttribValue(String value) {
        this.nicknameAttrib = value;
    }
}

